Subject: Re: [RFC PATCH 5/6] firewire net: IPv6 support (RFC3146).

From: Stephan Gatzka <[email-masked]>
Date: Sat, 12 Jan 2013 18:15:07 +0100

> Another thing:  As far as I understand, the current code assumes that
> peers will use the same unicast_FIFO for IPv4 unicast as for IPv6
> unicast.  This is not necessarily true.  Either firewire-net needs to
> maintain two lists of peers (one for IPv4, another for IPv6), or it needs
> to maintain two unicast_FIFOs per peer.
>

Thanks for pointing that out. I would go for two unicast_Fifos per peer.